=== debian/changelog ===
holdingnuts (0.0.5-4) unstable; urgency=low

  * [92a4358b] Migrated from subversion to git on collab-maint
  * [a8ffc154] Leave patches unapplied locally
  * [e025b415] Switch to dh9, link --as-needed, build with hardening flags
  * [cab89346] Bump Standards-Version to 3.9.3

 -- Jan Hauke Rahm <jhr@debian.org>  Thu, 23 Feb 2012 13:22:37 +0100

holdingnuts (0.0.5-3) unstable; urgency=low

  * Let debhelper deal with parallel building
  * Take patch from upstream to fix a bug when calculating straight flushes
  * Bumped Standards-Version: 3.8.4

 -- Jan Hauke Rahm <jhr@debian.org>  Fri, 05 Mar 2010 14:21:24 +0100

holdingnuts (0.0.5-2) unstable; urgency=low

  * Reworked build system using dh's cmake capabilities
  * Suggest client for server and the other way round
  * Bumped Standards-Version: 3.8.3
  * Use DEP3 header for patches
  * Use source format 3.0 (quilt)

 -- Jan Hauke Rahm <jhr@debian.org>  Sun, 29 Nov 2009 10:43:04 +0100

holdingnuts (0.0.5-1) unstable; urgency=low

  * New upstream release
    + new translations: Russian, Italian
    + update display of pot after each bet:
      - summarize all pots and bets instead of showing single pots
      - detailed information about the pot is shown as tooltip window
    + workaround: set encoding to UTF-8; allows localized chat
    + improved re-connect feature (re-initialization on new round)
    + several bugfixes
  * debian/rules: use debhelper overrides as provided by debhelper >= 7.0.50
  * Bumped standards-version to 3.8.2: no changes

 -- Jan Hauke Rahm <info@jhr-online.de>  Fri, 26 Jun 2009 22:23:25 +0200

holdingnuts (0.0.4-1) unstable; urgency=low

  * New upstream release
    ** Note that both client and server are not compatible to prior versions
    + new option: bring table-window to top 
    + new translation: Japanese
    + new option: display time in foyer chat
    + new option: several verbosity levels for chat/log messages
    + support for restart-games (games which restart after they ended)
    + fixed client problem with bet-actions appearing
      + a second time after action was performed
      + when no more action was possible (e.g. all others allin)
    + added command-line option for specifying alternative config-directory 
      (this allows multiple server/client instances with independent config)
    + provide simple man-pages (which are used instead of those of the last
      Debian release)
  * debian/rules: support DEB_BUILD_OPTIONS
  * debian/patches: be FHS compliant

 -- Jan Hauke Rahm <info@jhr-online.de>  Thu, 04 Jun 2009 00:34:27 +0200

holdingnuts (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #525841)

 -- Jan Hauke Rahm <info@jhr-online.de>  Wed, 13 May 2009 09:43:51 +0200
