=== debian/control ===
Source: holdingnuts
Section: games
Priority: extra
Maintainer: Jan Hauke Rahm <jhr@debian.org>
Build-Depends: debhelper (>= 9), cmake, qt4-qmake, libqt4-dev, libsdl-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/collab-maint/holdingnuts.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/holdingnuts.git;a=summary
Homepage: http://www.holdingnuts.net

Package: holdingnuts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: holdingnuts-server
Description: poker client
 HoldingNuts is an open source multi-platform poker client and server.
 You can play the popular Texas Hold'em variant with people all over 
 the world, meet your friends, run your own games and even setup your 
 own poker network.
 .
 This package provides the client.

Package: holdingnuts-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: holdingnuts
Description: poker server
 HoldingNuts is an open source multi-platform poker client and server.
 You can play the popular Texas Hold'em variant with people all over 
 the world, meet your friends, run your own games and even setup your 
 own poker network.
 .
 This package provides the server.
