=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS  = hardening=+bindnow,+pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

# builddirectory constructed by dh
BDIR = "obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)"

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_DATA_PATH=/usr/share/games \
		-DCMAKE_SKIP_RPATH=ON

override_dh_auto_install:
	$(MAKE) -C $(BDIR)/src/client DESTDIR=$(CURDIR)/debian/holdingnuts install
	$(MAKE) -C $(BDIR)/src/server DESTDIR=$(CURDIR)/debian/holdingnuts-server install
